#
# spec file for package apache2-mod_auth_mysql (Version 3.0.0)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild

Name:         apache2-mod_auth_mysql
BuildRequires: apache2-devel mysql-devel pcre-devel
%define modname mod_auth_mysql
%define apxs /usr/sbin/apxs2
%define apache apache2
%define apache_libexecdir %(%{apxs} -q LIBEXECDIR)
%define apache_sysconfdir %(%{apxs} -q SYSCONFDIR)
%define apache_includedir %(%{apxs} -q INCLUDEDIR)
%define apache_serverroot %(%{apxs} -q PREFIX)
%define apache_localstatedir %(%{apxs} -q LOCALSTATEDIR)
%define apache_mmn        %(MMN=$(%{apxs} -q LIBEXECDIR)_MMN; test -x $MMN && $MMN)
Version:      3.0.0
Release:      15.15
License:      Apache, Other License(s), see package
Group:        Productivity/Networking/Web/Servers
Requires:     apache2 %{apache_mmn} 
Autoreqprov:  on
Summary:      Enables the Apache Web Server to Authenticate Users against a MySQL Database
URL:          http://modauthmysql.sourceforge.net/
Source:       http://dl.sourceforge.net/sourceforge/modauthmysql/mod_auth_mysql-%{version}.tar.bz2
Patch1:       mod_auth_mysql-3.0.0-apr1x.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
#Docdir:       %{_defaultdocdir}/%{apache}

%description
mod_auth_mysql is an Apache module to authenticate users and authorize
access through a MySQL database.  It is flexible and supports several
encryption methods.

To load the module into Apache, add it to APACHE_MODULES in
/etc/sysconfig/apache2.

See the documentation in the directory
/usr/share/doc/packages/apache2-mod_auth_mysql, notably the file
CONFIGURE for options for configuring the module.



Authors:
--------
     - Rob McCool & Brian Behlendorf.
     - Adapted to Shambhala by rst.
     - converted to use MySQL by Vivek Khera <khera@kciLink.com>
     - now maintained by Sam Brauer <sbrauer@users.sourceforge.net>

%prep
%setup -n %{modname}-%{version}
%patch1 -p1

%build
%{apxs} -c -I%_includedir/mysql -lmysqlclient %{modname}.c

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{apache_libexecdir}
cp -p .libs/%{modname}.so $RPM_BUILD_ROOT/%{apache_libexecdir}

%files
%defattr(-,root,root)
%doc BUILD
%doc CHANGES
%doc CONFIGURE
%doc README
# copyright notice contained here:
%doc mod_auth_mysql.c
%dir %{apache_libexecdir}
%{apache_libexecdir}/%{modname}.so

%changelog -n apache2-mod_auth_mysql
* Mon Jan 30 2006 - poeml@suse.de
- removed libapr-util1-devel from BuildRequires (apache2-devel does
  require it)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 11 2006 - poeml@suse.de
- update to 3.0.0
- fix to compile with apache 2.2/libapr1
* Tue Nov 08 2005 - dmueller@suse.de
- don't build as root
* Tue Jan 25 2005 - poeml@suse.de
- move usage hints from %%post into package description
- documentation is now in CONFIGURE
- fix filelist to include all documentation
- include a copyright notice in the binary distribution (by
  including the source code file)
* Fri Dec 17 2004 - poeml@suse.de
- update to version 2.8.1
* Wed Mar 03 2004 - poeml@suse.de
- fix missing includes
* Mon Jul 28 2003 - poeml@suse.de
- initial package (version 20030510)
